% 3.7.1 State contradiction 1
%
% at(Z1,(5,19)) (s1)-->(s2) at(Z1,(6,19))
%                |
%                v
% at(Z1,(5,18)) (s3)-->(s4) at(Z1,(6,18))

:- [altet].
:- retractall(observations).

obs(0, do(A) and transition(S1,A,S2) and S1 -> S2).
obs(0, now(T) and contra(T-1,S2,S3) and transition(S1,A,S2) and
       transition(S1,down,S3) and transition(S3,A,S4) -> S4).
obs(0, at(tetromino(z,1), pos(5,19))).
obs(0, do(right)).
obs(2, at(tetromino(z,1), pos(5,18))).
