%  pl -G48M -s 3wm.pl -g "run,halt." | sed 's/(\([a-z0-9]\+\))$/\1/' | ./rename_vars >out

:- ['ActiveLogics', 'arguments.txt', syntax].

run :- between(1,17,I), step, nl, I=17.

portray(k(J,I,X)) :-
  integer(J), write(k), write(J),
  write('('), print(I), write(', '), print_formula(X), write(')').

portray(X) :- rule_tag(X, Y), write(Y).

rule_tag(axiom, obs).
rule_tag(r2, mp).
rule_tag(r3, emp).
rule_tag(r4, mt).
rule_tag(r6, inh).

