#include <string.h>
#include "textgfx.h"

void drawbox(int x, int y, int w, int h, const char *title)
{
	int i;
	setcurs(x, y);
	if (!title)
		printstr_acs("lqNk", w-2);
	else {
		setattr_normal();
		setattr_standout();
		i = w-strlen(title)-4;
		printstr_acs("lqN ", i/2);
		printstr(title);
		printstr_acs(" qNk", i-i/2);
		setattr_normal();
	}
	for (i = 2; i < h; i++) {
		newln(x);
		printstr_acs("x Nx", w-2);
	}
	newln(x);
	printstr_acs("mqNj", w-2);
}

void clearbox(int x, int y, int w, int h)
{
	setattr_normal();
	setcurs(x, y);
	while (1) {
		if (!w)
			cleartoeol();
		else
			putnchars(' ', w);
		h--;
		if (!h)
			break;
		newln(x);
	}
}
