#!/bin/sh

if [ -z "$PROLOG" ]
then
  if [ -x "`which swipl 2>/dev/null`" ]
  then PROLOG=swipl
  else PROLOG=pl
  fi
fi

goal="write('Type \"start\" and hit Enter'),nl"

for x in $@
do if [ "${x#-}" = subgoal ]
   then goal="$goal,recordz(obs, goal(locked(at(tetromino(z,1),pos(6,1)))))"
   fi
done

(test -x tetris/tetrisai || make) &&
tetris/tetrisai $@ "$PROLOG" -s altet.pl -g "$goal"
