#include <sys/time.h>
#include <unistd.h>
#include "timer.h"

#define WRAPAROUND_MILLISECS (1000*TIMER_WRAPAROUND_SECS)

int gettm(int a)
{
	int b;
	struct timeval tmv;
	gettimeofday(&tmv, NULL);
	b = 1000*(tmv.tv_sec % TIMER_WRAPAROUND_SECS) + tmv.tv_usec/1000;
	b++;
	while (b < a)
		b += WRAPAROUND_MILLISECS;
	return b;
}

void sleep_msec(unsigned ms)
{
	usleep(1000*ms);
}
